# -*- coding: utf-8 -*-
# Generated by Django 1.11.13 on 2018-06-15 21:45
from __future__ import unicode_literals

from django.db import migrations


def fix_vimeo_embed_urls(apps, schema_editor):
    Video = apps.get_model('media', 'Video')
    videos = Video.objects.all()
    for video in videos:
        # Use https thum urls
        thumbnail_url = video.data['thumbnail_url']
        video.data['thumbnail_url'] = thumbnail_url.replace('http:', 'https:')

        # use https for embeds
        html = video.data['html']
        video.data['html'] = html.replace('src="http:', 'src="https:')

        video.save()

    EntryContent = apps.get_model('blog', 'EntryContent')
    items = EntryContent.objects.exclude(text='')
    for item in items:
        item.text = item.text.replace('http://player.vimeo', 'https://player.vimeo')
        item.save()


class Migration(migrations.Migration):

    dependencies = [
        ('blog', '0003_fix_blog_content_positions'),
    ]

    operations = [
        migrations.RunPython(fix_vimeo_embed_urls, migrations.RunPython.noop),
    ]
